Button (KML Framework API)
Keywords: org.boehn.kmlframework.todo.Button class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.todo
Class Button

    java.lang.Object
      org.boehn.kmlframework.todo.Button

    public class Button

extends java.lang.Object

Constructor Summary
`Button()`
`Button(java.lang.String text, java.lang.String url)`
`Button(java.lang.String text, java.lang.String url, java.util.Map<java.lang.String,java.lang.String> parameters)`
`Button(java.lang.String text, java.lang.String url, java.lang.String parameterName, java.lang.String parameterValue)`

Method Summary
`void` | `addParameter(java.lang.String parameterName, java.lang.String parameterValue)`
`java.lang.String` | `encodeURL(java.lang.String url, javax.servlet.http.HttpServletRequest request)`
`java.util.Map<java.lang.String,java.lang.String>` | `getParameters()`
`java.lang.String` | `getText()`
`java.lang.String` | `getUrl()`
`void` | `setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)`
`void` | `setText(java.lang.String text)`
`void` | `setUrl(java.lang.String url)`
`java.lang.String` | `toHtml(Kml model)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Button

    public Button()

### Button

    public Button(java.lang.String text,
                  java.lang.String url)

### Button

    public Button(java.lang.String text,
                  java.lang.String url,
                  java.lang.String parameterName,
                  java.lang.String parameterValue)

### Button

    public Button(java.lang.String text,
                  java.lang.String url,
                  java.util.Map<java.lang.String,java.lang.String> parameters)

Method Detail

### addParameter

    public void addParameter(java.lang.String parameterName,
                             java.lang.String parameterValue)

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### getParameters

    public java.util.Map<java.lang.String,java.lang.String> getParameters()

### setParameters

    public void setParameters(java.util.Map<java.lang.String,java.lang.String> parameters)

### toHtml

    public java.lang.String toHtml(Kml model)

### encodeURL

    public java.lang.String encodeURL(java.lang.String url,
                                      javax.servlet.http.HttpServletRequest request)

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD